
// lgfxvsag.cpp
//
// Copyright (c) 1995 by Toshiaki Tsuji, all rights reserved.

#include "stdgfx.h"
#include "lgfxvsa.h"

LONG ScreenWd;
LONG ScreenHt;
LONG ScreenLen;
LONG BankNumber;

LONG vSrcWd;
LONG vSrcHt;

#ifdef __FORx86__
// EDX = Bank Number
#define SetBank __asm \
{ \
  __asm push AX \
  __asm push BX \
  __asm push EDX \
  __asm xor  BX, BX \
  __asm mov  EDX, BankNumber \
  __asm mov  AX, 0x4F05 \
  __asm int  0x10 \
  __asm pop  EDX \
  __asm pop  BX \
  __asm pop  AX \
}
#endif

// VOID SetVESASelector ( SHORT Selector )
// EAX = Selector

VOID SetVESASelector ( SHORT Selector )
{
  if (Selector)
    {}    
} // End of SetVESASelector


// VOID SetVESAData ( LONG SrcWidth, LONG SrcHeight, LONG SrcLen )
// EAX = SrcWidth, EDX = Srcheight, EBX = SrcLen

VOID SetVESAData ( LONG SrcWidth, LONG SrcHeight, LONG SrcLen )
{
  if (SrcWidth)
	 {}
  if (SrcHeight)
	 {}
  if (SrcLen)
    {}
} // End of SetVESAData

// VOID VESACopy256To256 ( BYTE *Src, LONG AddSrc, LONG SrcWd, LONG SrcHt,
//                         LONG DestCx, LONG DestCy )
//
// EAX = Src, EDX = AddSrc, EBX = SrcWd, ECX = SrcHt

VOID VESACopy256To256 ( BYTE *Src, LONG AddSrc, LONG SrcWidth, LONG SrcHeight,
                        LONG DestCx, LONG DestCy )
{
if (Src)
  {}
if (AddSrc)
  {}
if (SrcWidth)
  {}
if (SrcHeight)
  {}
if (DestCx)
  {}
if (DestCy)
  {}
#ifdef __FORx86__
#endif
} // End of VESACopy256To256


// VOID VESAClear256 ( BYTE Color )
//
// EAX = Color

VOID VESAClear256 ( BYTE Color )
{
if (Color)
  {}
#ifdef __FORx86__
#endif
} // End of VESAClear256
